View Issue Details

IDProjectCategoryView StatusLast Update
0015847LazarusIDEpublic2011-04-09 07:50
ReporterFlávio Etrusco (notifications not working)Assigned ToMattias Gaertner 
PrioritynormalSeveritytrivialReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.30 
Summary0015847: Change obsolete references to /usr/X11R6/
DescriptionAFAIK no modern GNU/Linux distro have X in /usr/X11R6 (and presumably most Lazarus users in Unix are running modern linux distros, right?).
The most prominent occurrence being in ide/RunParamsOpts.pas:

const
  DefaultLauncherApplication =
    '/usr/X11R6/bin/xterm -T ''Lazarus Run Output''' +
    ' -e $(LazarusDir)/tools/runwait.sh $(TargetCmdLine)';

PS. Now I guess I have to implement "Copy to Clipboard" in the Search Results dialog...
TagsNo tags attached.
Fixed in Revision26200
LazTarget0.9.30
Widgetset
Attached Files

Activities

Bart Broersma

2010-02-26 00:56

developer   ~0034769

Last edited: 2010-02-26 00:57

Well, I have Suse 10.0 and xterm is definitely in /usr/X11R6/bin/ here.

bart@simenon:~> ls -l /usr/X11R6/bin/xterm
-rwxr-xr-x 1 root root 297076 2005-09-13 01:59 /usr/X11R6/bin/xterm

(There is also symlink in /usr/bin for it)

But then again, I'm not modern at all.

At least there's the link, so it looks it'll be no problem? :)
(Ubuntu doesn't have /usr/X11R6 at all)

Bart, BTW is this XFree86 still?

Zeljan Rikalo

2010-06-20 12:30

developer   ~0038676

Please test and close if ok.
NOTE: Old entries aren't deleted so /usr/X11R6/bin/xterm is still in combobox.
You can delete it by editing $HOME/.lazarus/inputhistory.xml and delete that line also decrease count param for 1.

Issue History

Date Modified Username Field Change
2010-02-25 21:16 Flávio Etrusco (notifications not working) New Issue
2010-02-26 00:56 Bart Broersma Note Added: 0034769
2010-02-26 00:57 Bart Broersma Note Edited: 0034769
2010-03-12 15:03 Vincent Snijders LazTarget => 0.9.30
2010-03-12 15:03 Vincent Snijders Assigned To => Mattias Gaertner
2010-03-12 15:03 Vincent Snijders Status new => assigned
2010-03-12 15:03 Vincent Snijders Target Version => 0.9.30
2010-03-12 17:11 Flávio Etrusco (notifications not working) Note Added: 0035383
2010-06-20 12:30 Zeljan Rikalo Fixed in Revision => 26200
2010-06-20 12:30 Zeljan Rikalo Status assigned => resolved
2010-06-20 12:30 Zeljan Rikalo Resolution open => fixed
2010-06-20 12:30 Zeljan Rikalo Note Added: 0038676
2011-04-09 07:50 Flávio Etrusco (notifications not working) Status resolved => closed
2011-04-09 07:50 Flávio Etrusco (notifications not working) Fixed in Version => 0.9.30